Index: /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUAbstractRequest.java
===================================================================
--- /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUAbstractRequest.java	(revision 2167)
+++ /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUAbstractRequest.java	(revision 2168)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2012 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
Index: /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUAbstractResponse.java
===================================================================
--- /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUAbstractResponse.java	(revision 2167)
+++ /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUAbstractResponse.java	(revision 2168)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2012 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
Index: /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUClient.java
===================================================================
--- /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUClient.java	(revision 2167)
+++ /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUClient.java	(revision 2168)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2012 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
Index: /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUClientDiagnostics.java
===================================================================
--- /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUClientDiagnostics.java	(revision 2167)
+++ /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUClientDiagnostics.java	(revision 2168)
@@ -1,2 +1,18 @@
+/**
+ * This software is copyright (c) 2011-2012 by
+ *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * This is free software. You can redistribute it
+ * and/or modify it under the terms described in
+ * the GNU General Public License v3 of which you
+ * should have received a copy. Otherwise you can download
+ * it from
+ *
+ *   http://www.gnu.org/licenses/gpl-3.0.txt
+ *
+ * @copyright Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ *
+ * @license http://www.gnu.org/licenses/gpl-3.0.txt
+ *  GNU General Public License v3
+ */
 package eu.clarin.sru.client;
 
Index: /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUClientException.java
===================================================================
--- /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUClientException.java	(revision 2167)
+++ /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUClientException.java	(revision 2168)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2012 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
Index: /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUDefaultHandler.java
===================================================================
--- /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUDefaultHandler.java	(revision 2167)
+++ /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUDefaultHandler.java	(revision 2168)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2012 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
Index: /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUDefaultHandlerAdapter.java
===================================================================
--- /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUDefaultHandlerAdapter.java	(revision 2167)
+++ /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUDefaultHandlerAdapter.java	(revision 2168)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2012 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
Index: /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUDiagnostic.java
===================================================================
--- /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUDiagnostic.java	(revision 2167)
+++ /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUDiagnostic.java	(revision 2168)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2012 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
Index: /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUExplainHandler.java
===================================================================
--- /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUExplainHandler.java	(revision 2167)
+++ /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUExplainHandler.java	(revision 2168)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2012 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
Index: /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUExplainRequest.java
===================================================================
--- /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUExplainRequest.java	(revision 2167)
+++ /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUExplainRequest.java	(revision 2168)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2012 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
Index: /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUExplainResponse.java
===================================================================
--- /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUExplainResponse.java	(revision 2167)
+++ /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUExplainResponse.java	(revision 2168)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2012 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
Index: /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRURecord.java
===================================================================
--- /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRURecord.java	(revision 2167)
+++ /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRURecord.java	(revision 2168)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2012 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
Index: /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRURecordData.java
===================================================================
--- /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRURecordData.java	(revision 2167)
+++ /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRURecordData.java	(revision 2168)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2012 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
Index: /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRURecordDataParser.java
===================================================================
--- /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRURecordDataParser.java	(revision 2167)
+++ /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRURecordDataParser.java	(revision 2168)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2012 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
Index: /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRURecordPacking.java
===================================================================
--- /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRURecordPacking.java	(revision 2167)
+++ /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRURecordPacking.java	(revision 2168)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2012 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
Index: /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUScanHandler.java
===================================================================
--- /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUScanHandler.java	(revision 2167)
+++ /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUScanHandler.java	(revision 2168)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2012 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
Index: /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUScanRequest.java
===================================================================
--- /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUScanRequest.java	(revision 2167)
+++ /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUScanRequest.java	(revision 2168)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2012 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
Index: /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUScanResponse.java
===================================================================
--- /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUScanResponse.java	(revision 2167)
+++ /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUScanResponse.java	(revision 2168)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2012 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
Index: /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUSearchRetrieveHandler.java
===================================================================
--- /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUSearchRetrieveHandler.java	(revision 2167)
+++ /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUSearchRetrieveHandler.java	(revision 2168)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2012 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
Index: /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUSearchRetrieveRequest.java
===================================================================
--- /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUSearchRetrieveRequest.java	(revision 2167)
+++ /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUSearchRetrieveRequest.java	(revision 2168)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2012 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
Index: /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUSearchRetrieveResponse.java
===================================================================
--- /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUSearchRetrieveResponse.java	(revision 2167)
+++ /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUSearchRetrieveResponse.java	(revision 2168)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2012 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
Index: /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUSimpleClient.java
===================================================================
--- /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUSimpleClient.java	(revision 2167)
+++ /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUSimpleClient.java	(revision 2168)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2012 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
Index: /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUSurrogateRecordData.java
===================================================================
--- /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUSurrogateRecordData.java	(revision 2167)
+++ /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUSurrogateRecordData.java	(revision 2168)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2012 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
Index: /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUTerm.java
===================================================================
--- /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUTerm.java	(revision 2167)
+++ /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUTerm.java	(revision 2168)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2012 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
Index: /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUThreadedClient.java
===================================================================
--- /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUThreadedClient.java	(revision 2167)
+++ /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUThreadedClient.java	(revision 2168)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2012 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
Index: /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUVersion.java
===================================================================
--- /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUVersion.java	(revision 2167)
+++ /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUVersion.java	(revision 2168)
@@ -1,2 +1,18 @@
+/**
+ * This software is copyright (c) 2011-2012 by
+ *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * This is free software. You can redistribute it
+ * and/or modify it under the terms described in
+ * the GNU General Public License v3 of which you
+ * should have received a copy. Otherwise you can download
+ * it from
+ *
+ *   http://www.gnu.org/licenses/gpl-3.0.txt
+ *
+ * @copyright Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ *
+ * @license http://www.gnu.org/licenses/gpl-3.0.txt
+ *  GNU General Public License v3
+ */
 package eu.clarin.sru.client;
 
Index: /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUWhereInList.java
===================================================================
--- /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUWhereInList.java	(revision 2167)
+++ /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUWhereInList.java	(revision 2168)
@@ -1,2 +1,18 @@
+/**
+ * This software is copyright (c) 2011-2012 by
+ *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ * This is free software. You can redistribute it
+ * and/or modify it under the terms described in
+ * the GNU General Public License v3 of which you
+ * should have received a copy. Otherwise you can download
+ * it from
+ *
+ *   http://www.gnu.org/licenses/gpl-3.0.txt
+ *
+ * @copyright Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
+ *
+ * @license http://www.gnu.org/licenses/gpl-3.0.txt
+ *  GNU General Public License v3
+ */
 package eu.clarin.sru.client;
 
Index: /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUXMLStreamReader.java
===================================================================
--- /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUXMLStreamReader.java	(revision 2167)
+++ /SRUClient/trunk/src/main/java/eu/clarin/sru/client/SRUXMLStreamReader.java	(revision 2168)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2012 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
Index: /SRUClient/trunk/src/main/java/eu/clarin/sru/client/XmlStreamReaderProxy.java
===================================================================
--- /SRUClient/trunk/src/main/java/eu/clarin/sru/client/XmlStreamReaderProxy.java	(revision 2167)
+++ /SRUClient/trunk/src/main/java/eu/clarin/sru/client/XmlStreamReaderProxy.java	(revision 2168)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2012 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
Index: /SRUClient/trunk/src/main/java/eu/clarin/sru/client/XmlStreamReaderUtils.java
===================================================================
--- /SRUClient/trunk/src/main/java/eu/clarin/sru/client/XmlStreamReaderUtils.java	(revision 2167)
+++ /SRUClient/trunk/src/main/java/eu/clarin/sru/client/XmlStreamReaderUtils.java	(revision 2168)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2012 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it