Index: /ComponentRegistry/branches/ComponentRegistry-1.13.0-olha/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/CMDComponentTypeWrapperTest.java
===================================================================
--- /ComponentRegistry/branches/ComponentRegistry-1.13.0-olha/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/CMDComponentTypeWrapperTest.java	(revision 2183)
+++ /ComponentRegistry/branches/ComponentRegistry-1.13.0-olha/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/CMDComponentTypeWrapperTest.java	(revision 2184)
@@ -214,7 +214,7 @@
     
       // adds dummy filenames to the content of largeProfile.XML  
-      private  CMDComponentSpec makeTestSpecFromLargeProfile() throws IOException, JAXBException {
-          
-          String largeprofilestring = RegistryTestHelper.getLargeProfileContent(); // reading from the file
+      private  CMDComponentSpec makeTestFromFile(String filename) throws IOException, JAXBException {
+          
+          String largeprofilestring = RegistryTestHelper.getProfileContentFromFile(filename);
           CMDComponentSpec compspec=RegistryTestHelper.getComponentFromString(largeprofilestring); // calling unmarchaller
           
@@ -251,9 +251,8 @@
       
       // creating the profile with filenames filled by "Dummy" and writing it into the file 
-      public void writeDummiedXML() throws IOException, JAXBException{
-          
-          CMDComponentSpec compspec=makeTestSpecFromLargeProfile();
-          writeSpecToFile(compspec, "src/test/resources/xml/largeProfileDummyFilenames.xml");
-          
+      public void writeDummiedXML(String filenamein, String filenameout) throws IOException, JAXBException{
+          
+          CMDComponentSpec compspec=makeTestFromFile(filenamein);
+          writeSpecToFile(compspec, filenameout);
       }
         
@@ -265,7 +264,8 @@
       @Test
       
-      public void setFileNamesToNullTestFile() throws IOException, JAXBException {
-          
-         writeDummiedXML();
+      public void setFileNamesToNullTestFile1() throws IOException, JAXBException {
+          
+         writeDummiedXML("/xml/largeProfile.xml", "src/test/resources/xml/largeProfileDummyFilenames.xml");
+         
          
          String dummiedcontent = RegistryTestHelper.getProfileContentFromFile("/xml/largeProfileDummyFilenames.xml");
@@ -282,11 +282,32 @@
          
       }
-      
-      
-     
-    }
-    
-    
-    
-    
-
+      ////////////////////////////////////
+      
+      @Test
+      
+      public void setFileNamesToNullTestFile2() throws IOException, JAXBException {
+          
+         writeDummiedXML("/xml/A.xml", "src/test/resources/xml/ADummyFilenames.xml");
+         
+         
+         String  dummiedcontent= RegistryTestHelper.getProfileContentFromFile("/xml/ADummyFilenames.xml");
+         assertTrue(dummiedcontent != null);
+         CMDComponentSpec newcompspec  = RegistryTestHelper.getComponentFromString(dummiedcontent); // calling unmarchaller
+         assertTrue(newcompspec != null);
+         
+         CMDComponentTypeWrapper wrapper = new CMDComponentTypeWrapper(newcompspec);
+         
+         wrapper.setFileNamesToNull();
+         
+         checkNullnessOfFilenamesInListOfComponents(newcompspec.getCMDComponent());
+         writeSpecToFile(newcompspec, "src/test/resources/xml/AUndummied.xml");
+         
+         
+      }
+     
+    }
+    
+    
+    
+    
+
Index: /ComponentRegistry/branches/ComponentRegistry-1.13.0-olha/ComponentRegistry/src/test/resources/xml/A.xml
===================================================================
--- /ComponentRegistry/branches/ComponentRegistry-1.13.0-olha/ComponentRegistry/src/test/resources/xml/A.xml	(revision 2184)
+++ /ComponentRegistry/branches/ComponentRegistry-1.13.0-olha/ComponentRegistry/src/test/resources/xml/A.xml	(revision 2184)
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
+<CMD_ComponentSpec isProfile="false" xsi:schemaLocation="http://www.clarin.eu/cmd http://www.clarin.eu/cmd/general-component-schema.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
+    <Header>
+        <ID>clarin.eu:cr1:c_1346319286940</ID>
+        <Name>A</Name>
+        <Description>C</Description>
+    </Header>
+    <CMD_Component CardinalityMax="1" CardinalityMin="1" name="A">
+        <CMD_Element Multilingual="false" DisplayPriority="1" Documentation="b" CardinalityMax="1" CardinalityMin="1" ValueScheme="string" name="a"/>
+        <CMD_Element Multilingual="false" Documentation="b1" CardinalityMax="1" CardinalityMin="1" ValueScheme="string" name="a1"/>
+    </CMD_Component>
+</CMD_ComponentSpec>
Index: /ComponentRegistry/branches/ComponentRegistry-1.13.0-olha/ComponentRegistry/src/test/resources/xml/ADummyFilenames.xml
===================================================================
--- /ComponentRegistry/branches/ComponentRegistry-1.13.0-olha/ComponentRegistry/src/test/resources/xml/ADummyFilenames.xml	(revision 2184)
+++ /ComponentRegistry/branches/ComponentRegistry-1.13.0-olha/ComponentRegistry/src/test/resources/xml/ADummyFilenames.xml	(revision 2184)
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
+<CMD_ComponentSpec isProfile="false" xsi:schemaLocation="http://www.clarin.eu/cmd/ http://www.clarin.eu/cmd/general-component-schema.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
+    <Header>
+        <ID>clarin.eu:cr1:c_1346319286940</ID>
+        <Name>A</Name>
+        <Description>C</Description>
+    </Header>
+    <CMD_Component CardinalityMax="1" CardinalityMin="1" filename="Dummy" name="A">
+        <CMD_Element Multilingual="false" DisplayPriority="1" Documentation="b" CardinalityMax="1" CardinalityMin="1" ValueScheme="string" name="a"/>
+        <CMD_Element Multilingual="false" Documentation="b1" CardinalityMax="1" CardinalityMin="1" ValueScheme="string" name="a1"/>
+    </CMD_Component>
+</CMD_ComponentSpec>
Index: /ComponentRegistry/branches/ComponentRegistry-1.13.0-olha/ComponentRegistry/src/test/resources/xml/AUndummied.xml
===================================================================
--- /ComponentRegistry/branches/ComponentRegistry-1.13.0-olha/ComponentRegistry/src/test/resources/xml/AUndummied.xml	(revision 2184)
+++ /ComponentRegistry/branches/ComponentRegistry-1.13.0-olha/ComponentRegistry/src/test/resources/xml/AUndummied.xml	(revision 2184)
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
+<CMD_ComponentSpec isProfile="false" xsi:schemaLocation="http://www.clarin.eu/cmd/ http://www.clarin.eu/cmd/general-component-schema.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
+    <Header>
+        <ID>clarin.eu:cr1:c_1346319286940</ID>
+        <Name>A</Name>
+        <Description>C</Description>
+    </Header>
+    <CMD_Component CardinalityMax="1" CardinalityMin="1" name="A">
+        <CMD_Element Multilingual="false" DisplayPriority="1" Documentation="b" CardinalityMax="1" CardinalityMin="1" ValueScheme="string" name="a"/>
+        <CMD_Element Multilingual="false" Documentation="b1" CardinalityMax="1" CardinalityMin="1" ValueScheme="string" name="a1"/>
+    </CMD_Component>
+</CMD_ComponentSpec>
Index: /ComponentRegistry/branches/ComponentRegistry-1.13.0-olha/ComponentRegistry/src/test/resources/xml/Component1.xml
===================================================================
--- /ComponentRegistry/branches/ComponentRegistry-1.13.0-olha/ComponentRegistry/src/test/resources/xml/Component1.xml	(revision 2183)
+++ /ComponentRegistry/branches/ComponentRegistry-1.13.0-olha/ComponentRegistry/src/test/resources/xml/Component1.xml	(revision 2184)
@@ -1,8 +1,8 @@
 <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
 <componentDescription xmlns:ns2="http://www.w3.org/1999/xlink">
-    <id>clarin.eu:cr1:c_1346252981279</id>
+    <id>clarin.eu:cr1:c_1346315576463</id>
     <description>description1dum</description>
     <name>name1dum</name>
-    <registrationDate>2012-08-29T15:12:50+00:00</registrationDate>
+    <registrationDate>2012-08-30T08:36:02+00:00</registrationDate>
     <creatorName>God</creatorName>
     <userId>uid1dum</userId>
Index: /ComponentRegistry/branches/ComponentRegistry-1.13.0-olha/ComponentRegistry/src/test/resources/xml/Component2.xml
===================================================================
--- /ComponentRegistry/branches/ComponentRegistry-1.13.0-olha/ComponentRegistry/src/test/resources/xml/Component2.xml	(revision 2183)
+++ /ComponentRegistry/branches/ComponentRegistry-1.13.0-olha/ComponentRegistry/src/test/resources/xml/Component2.xml	(revision 2184)
@@ -1,8 +1,8 @@
 <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
 <componentDescription xmlns:ns2="http://www.w3.org/1999/xlink">
-    <id>clarin.eu:cr1:c_1346252981280</id>
+    <id>clarin.eu:cr1:c_1346315576464</id>
     <description>description2dum</description>
     <name>name2dum</name>
-    <registrationDate>2012-08-29T15:12:50+00:00</registrationDate>
+    <registrationDate>2012-08-30T08:36:02+00:00</registrationDate>
     <creatorName>Allah</creatorName>
     <userId>uid2dum</userId>
Index: /ComponentRegistry/branches/ComponentRegistry-1.13.0-olha/ComponentRegistry/src/test/resources/xml/rssTest.xml
===================================================================
--- /ComponentRegistry/branches/ComponentRegistry-1.13.0-olha/ComponentRegistry/src/test/resources/xml/rssTest.xml	(revision 2183)
+++ /ComponentRegistry/branches/ComponentRegistry-1.13.0-olha/ComponentRegistry/src/test/resources/xml/rssTest.xml	(revision 2184)
@@ -1,3 +1,3 @@
-,<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
+<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
 <rss>
     <channel>
@@ -7,5 +7,5 @@
             <link>href1dum</link>
             <author>God</author>
-            <pubDate>2012-08-29T15:05:08+00:00</pubDate>
+            <pubDate>2012-08-29T15:12:50+00:00</pubDate>
         </item>
         <item>
@@ -14,5 +14,5 @@
             <link>href2dum</link>
             <author>Allah</author>
-            <pubDate>2012-08-29T15:05:08+00:00</pubDate>
+            <pubDate>2012-08-29T15:12:50+00:00</pubDate>
         </item>
     </channel>