Index: /SRUAggregator/trunk/src/java/clarind/fcs/Aggregator.java
===================================================================
--- /SRUAggregator/trunk/src/java/clarind/fcs/Aggregator.java	(revision 2185)
+++ /SRUAggregator/trunk/src/java/clarind/fcs/Aggregator.java	(revision 2186)
@@ -37,5 +37,5 @@
 
 public class Aggregator extends SelectorComposer<Component> {
-    
+
     @Wire
     private Grid anzeigeGrid;
@@ -60,6 +60,5 @@
     @Wire
     private Window mainWindow;
-    
-    
+
     @Override
     public void doAfterCompose(Component comp) throws Exception {
@@ -68,15 +67,15 @@
 
         languageSelect.setSelectedItem(german);
-        
+
         Harvester harv = new Harvester();
         ArrayList<Endpoint> ep = harv.getEndpoints();
-        
+
         int i, i2;
-        
+
         for (i = 0; i < ep.size(); i++) {
-            
+
             System.out.println("Calling corpora ...: " + ep.get(i).getUrl());
             ArrayList<Corpus> corpora = harv.getCorporaOfAnEndpoint(ep.get(i).getUrl());
-            
+
             if (corpora.size() == 0) {
                 Checkbox cb = new Checkbox();
@@ -85,25 +84,25 @@
                 //"?operation=searchRetrieve&version=1.2"
                 cb.setLabel(ep.get(i).getUrl());
-                
+
                 allCorpora.getChildren().add(cb);
                 allCorpora.getChildren().add(new Separator());
-                
+
                 System.out.println("CHECKBOX: " + cb.getId());
             } else {
                 Label l = new Label(ep.get(i).getUrl() + ":");
-                
+
                 l.setStyle("font-weight:bold");
-                
+
                 allCorpora.getChildren().add(l);
                 allCorpora.getChildren().add(new Separator());
                 for (i2 = 0; i2 < corpora.size(); i2++) {
                     Checkbox cb = new Checkbox();
-                    
+
                     cb.setId(ep.get(i).getUrl() + "\t" + corpora.get(i2).getValue());
                     cb.setLabel(corpora.get(i2).getDisplayTerm());
-                    
+
                     allCorpora.getChildren().add(cb);
                     allCorpora.getChildren().add(new Separator());
-                    
+
                     System.out.println("CHECKBOX: " + cb.getId());
                 } // for i2 ...
@@ -111,16 +110,16 @@
 
             Separator sep = new Separator();
-            
+
             sep.setBar(true);
             allCorpora.getChildren().add(sep);
-            
+
         } // for i ...
 
     }
-    
+
     @Listen("onClick = #selectAll")
     public void onSelectAll(Event ev) {
         int i;
-        
+
         for (i = 0; i < allCorpora.getChildren().size(); i++) {
             if (allCorpora.getChildren().get(i) instanceof Checkbox) {
@@ -134,5 +133,5 @@
     public void onDeselectAll(Event ev) {
         int i;
-        
+
         for (i = 0; i < allCorpora.getChildren().size(); i++) {
             if (allCorpora.getChildren().get(i) instanceof Checkbox) {
@@ -150,10 +149,10 @@
         }
     }
-    
+
     @Listen("onClick=#clearResults")
     public void onClearResults(Event ev) {
         resultsVbox.getChildren().clear();
     }
-    
+
     @Listen("onClick=#showHelp")
     public void onShowHelp(Event ev) {
@@ -163,14 +162,20 @@
         help.setHeight("100%");
         help.setSrc("help.html");
-        resultsVbox.appendChild(help);        
-    }
-    
+        resultsVbox.appendChild(help);
+    }
+
+    @Listen("onClick=#showAbout")
+    public void onShowAbout(Event ev) {
+        Messagebox.show("CLARIN-D Federated Content Search Aggregator\n\nVersion 0.0.1", "FCS", 0, Messagebox.INFORMATION);
+
+    }
+
     @Listen("onClick=#exportResultsCSV")
     public void onExportResultsCSV(Event ev) {
-        
+
         int i, i2, i3;
         String temp = "";
         boolean somethingToExport = false;
-        
+
         for (i = 0; i < resultsVbox.getChildren().size(); i++) {
             if (resultsVbox.getChildren().get(i) instanceof Grid) {
@@ -178,8 +183,8 @@
                 Grid aGrid = (Grid) resultsVbox.getChildren().get(i);
                 Rows rows = aGrid.getRows();
-                
+
                 for (i2 = 0; i2 < rows.getChildren().size(); i2++) {
                     Row r = (Row) rows.getChildren().get(i2);
-                    
+
                     for (i3 = 0; i3 < r.getChildren().size(); i3++) {
                         Label l = (Label) r.getChildren().get(i3);
@@ -194,7 +199,7 @@
 
         } // for i ...
-        
+
         if (somethingToExport) {
-            
+
             Filedownload.save(temp, "text/plain", "ClarinDFederatedContentSearch.csv");
         } else {
@@ -202,16 +207,15 @@
         }
     }
-    
-    
-     @Listen("onClick=#exportResultsTCF")
+
+    @Listen("onClick=#exportResultsTCF")
     public void onExportResultsTCF(Event ev) {
-        
+
         int i, i2, i3;
         String temp = "<?xml version=\"1.0\" encoding=\"UTF-8\"?><D-Spin xmlns=\"http://www.dspin.de/data\" version=\"0.4\">\n<MetaData xmlns=\"http://www.dspin.de/data/metadata\">\n";
-        temp = temp  + "<source>CLARIN-D Federated Content Search</source>\n</MetaData>\n  <TextCorpus xmlns=\"http://www.dspin.de/data/textcorpus\">\n<text>";
-        
-        
+        temp = temp + "<source>CLARIN-D Federated Content Search</source>\n</MetaData>\n  <TextCorpus xmlns=\"http://www.dspin.de/data/textcorpus\">\n<text>";
+
+
         boolean somethingToExport = false;
-        
+
         for (i = 0; i < resultsVbox.getChildren().size(); i++) {
             if (resultsVbox.getChildren().get(i) instanceof Grid) {
@@ -219,8 +223,8 @@
                 Grid aGrid = (Grid) resultsVbox.getChildren().get(i);
                 Rows rows = aGrid.getRows();
-                
+
                 for (i2 = 0; i2 < rows.getChildren().size(); i2++) {
                     Row r = (Row) rows.getChildren().get(i2);
-                    
+
                     for (i3 = 0; i3 < r.getChildren().size(); i3++) {
                         Label l = (Label) r.getChildren().get(i3);
@@ -232,5 +236,5 @@
 
         } // for i ...
-        
+
         if (somethingToExport) {
             temp = temp + "</text>\n</TextCorpus>\n</D-Spin>";
@@ -240,25 +244,23 @@
         }
     }
-     
-   
-    
+
     @Listen("onClick = #searchButton")
     public void onExecuteSearch(Event ev) {
-        
+
         try {
-            
+
             if (languageSelect.getText().trim().equals("")) {
                 Messagebox.show("Please select a language.");
                 return;
             }
-            
+
             int i, i2;
-            
-            
+
+
             resultsVbox.getChildren().clear();
-            
-            
+
+
             boolean isACorpusSelected = false;
-            
+
             for (i = 0; i < allCorpora.getChildren().size(); i++) {
                 if (allCorpora.getChildren().get(i) instanceof Checkbox) {
@@ -266,12 +268,12 @@
                     if (cb.isChecked()) {
                         // now execute the search:
-                        
+
                         isACorpusSelected = true;
-                        
+
                         System.out.println("---- THE SEARCH ----");
-                        
+
                         String endpointURL = null;
                         String corpus = null;
-                        
+
                         if (cb.getId().contains("\t")) {
                             endpointURL = cb.getId().split("\t")[0];
@@ -280,56 +282,58 @@
                             endpointURL = cb.getId();
                         }
-                        
+
                         System.out.println("enddpointURL: " + endpointURL);
                         System.out.println("corpus: " + corpus);
                         SRUSearch srusearch = new SRUSearch();
                         System.out.println("Calling the client ");
-                        
+
                         resultsVbox.appendChild(new Label("Query: " + searchString.getText()));
                         resultsVbox.appendChild(new Label("Endpoint: " + endpointURL));
-                        resultsVbox.appendChild(new Label("Corpus: " + corpus));
-                        
-                        
+                        if (corpus != null) {
+                            resultsVbox.appendChild(new Label("Corpus: " + corpus));
+                        }
+
+
+
                         ArrayList<Row> zeilen = srusearch.execute(searchString.getText(), endpointURL, corpus, 10);
-                        
+
                         if (zeilen.size() > 0) {
-                            
+
                             Grid g = new Grid();
-                            
+
+                            g.setWidth("100%");
                             g.setMold("paging");
                             g.setPageSize(10);
-                            
+
                             Columns columns = new Columns();
-                            
+
                             Column c = new Column();
                             c.setLabel("Left");
-                            
+
                             columns.appendChild(c);
-                            
+
                             c = new Column();
                             c.setLabel("Hit");
                             c.setHflex("min");
                             columns.appendChild(c);
-                            
+
                             c = new Column();
                             c.setLabel("Right");
                             columns.appendChild(c);
-                            
+
                             g.appendChild(columns);
-                            
+
                             Rows rows = new Rows();
-                            
+
                             for (i2 = 0; i2 < zeilen.size(); i2++) {
-                                System.out.println("Adding row " + i2);
-                                System.out.println("ROW: " + zeilen.get(i2));
                                 rows.appendChild(zeilen.get(i2));
                             } // for i2 ...
 
                             g.appendChild(rows);
-                            
+
                             resultsVbox.appendChild(g);
                         } else {
                             resultsVbox.appendChild(new Label("Sorry there were no results!"));
-                            
+
                         } // if zeilen > 0
 
@@ -340,17 +344,17 @@
                 }
             } // for i ...
-            
+
             if (!isACorpusSelected) {
-                
+
                 Messagebox.show("Please select at least one corpus!", "CLARIN-D FCS Aggregator", 0, Messagebox.EXCLAMATION);
             }
-            
-            
+
+
             System.out.println("Search is done.");
-            
+
         } catch (Exception ex) {
             System.out.println(ex.getMessage());
         }
-        
+
     }
 }
Index: /SRUAggregator/trunk/src/java/clarind/fcs/SRUSearch.java
===================================================================
--- /SRUAggregator/trunk/src/java/clarind/fcs/SRUSearch.java	(revision 2185)
+++ /SRUAggregator/trunk/src/java/clarind/fcs/SRUSearch.java	(revision 2186)
@@ -19,18 +19,18 @@
         zeilen  = new ArrayList<Row>();
 
-        SRUClient client = new SRUClient();
+        SRUSimpleClient client = new SRUSimpleClient();
         client.registerRecordParser(new ClarinFederatedContentSearchRecordParser());
 
         SRUSearchRetrieveRequest request = new SRUSearchRetrieveRequest(endpointURL);
         request.setQuery(query);
-        request.setRecordSchema(ClarinFederatedContentSearchRecordParser.FCS_RECORD_SCHEMA);
+        request.setRecordSchema(ClarinFederatedContentSearchRecordData.RECORD_SCHEMA);
         request.setMaximumRecords(maximumRecords);
 
         if (corpus != null) {
             request.setExtraRequestData("x-context", corpus);
-            System.out.println("I'm setting the x-context");
-
         }
+        
         try {
+            
         client.searchRetrieve(request, new SRUDefaultHandlerAdapter() {
             @Override
@@ -42,11 +42,9 @@
                     String right = record.getRight();
 
-//                    System.out.print("LEFT: " + left);
-//                    System.out.println("HIT: " + hit);
-//                    System.out.println("RIGHT: " + right);
-
                     Row r = new Row();
                     r.appendChild(new Label(left));
-                    r.appendChild(new Label(hit));
+                    Label l = new Label(hit);
+                    l.setStyle("color:#8f3337;");
+                    r.appendChild(l);
                     r.appendChild(new Label(right));
 
@@ -58,7 +56,4 @@
             System.out.println(ex.getMessage());
         }
-
-        
-//        System.out.println("NUMBER of LINES: " + zeilen.size());
         
         return zeilen;
Index: /SRUAggregator/trunk/web/index.zul
===================================================================
--- /SRUAggregator/trunk/web/index.zul	(revision 2185)
+++ /SRUAggregator/trunk/web/index.zul	(revision 2186)
@@ -26,4 +26,5 @@
                         <groupbox mold="3d" id="allCorpora">
                             <caption>All Corpora</caption>   
+                           
                              <label>Select by Language:</label>
                         <combobox id="languageSelect" width="150px" value="German">                                                                                                                   
@@ -61,4 +62,5 @@
                                 <menupopup>
                                      <menuitem label="Show Help" id="showHelp" image="buttonHelp.png" />
+                                     <menuitem label="About" id="showAbout" image="buttonShowAbout.png" />
                                 </menupopup>   
                             </menu>
@@ -90,7 +92,7 @@
             
             <!-- Fusszeile -->   
-            <south height="100px">
+<!--            <south height="100px">
                 
-            </south>
+            </south>-->
         </borderlayout>
     </window>