Index: /vlo/branches/vlo-2.13-param/vlo_webapp/src/main/java/eu/clarin/cmdi/vlo/VloApplication.java
===================================================================
--- /vlo/branches/vlo-2.13-param/vlo_webapp/src/main/java/eu/clarin/cmdi/vlo/VloApplication.java	(revision 2589)
+++ /vlo/branches/vlo-2.13-param/vlo_webapp/src/main/java/eu/clarin/cmdi/vlo/VloApplication.java	(revision 2590)
@@ -14,10 +14,18 @@
     private final SearchResultsDao searchResults;
 
+    static WebAppConfig config;
+    
     public VloApplication() {
-        // BeanFactory factory = new ClassPathXmlApplicationContext(new String[] { Configuration.CONFIG_FILE });
-        // factory.getBean("configuration"); //Use Configuration.getInstance to get the Configuration just loading the instance here.
-        WebAppConfig.setServletContext(this.getServletContext());
-        String test = WebAppConfig.open().getSolrUrl();
-        
+        /**
+         * The new way of doing things. In case of the web application tests:
+         * just extend this class, and override the constructor by invoking the
+         * open method of the extended test web application configuration class.
+         * Also, change the way in which the get methods are being invoked. From
+         * now on, you only have to invoke config.get ...
+         */
+        config = WebAppConfig.open();
+        // String test;
+        // test = config.getVloHomeLink();
+
         searchResults = new SearchResultsDao();
     }
Index: o/branches/vlo-2.13-param/vlo_webapp/src/main/java/eu/clarin/cmdi/vlo/config/ConfigFileParam.java
===================================================================
--- /vlo/branches/vlo-2.13-param/vlo_webapp/src/main/java/eu/clarin/cmdi/vlo/config/ConfigFileParam.java	(revision 2589)
+++ 	(revision )
@@ -1,80 +1,0 @@
-
-package eu.clarin.cmdi.vlo.config;
-
-/**
- * Parameter configuration<br><br>
- *
- * Add parameters to an application by extending this class. The read method
- * assigns values to the new members by reading an XML definition from a file.
- *
- * Configuration is the process of reading the definitions and assigning values.
- * A configuration, the set of members extending this class, is the result of
- * this process.<br><br>
- *
- * Next to reading parameter values from a file, by means of the write method,
- * a ConfigFileParam class object can also reflect the assigned values back to
- * an XML file.<br><br>
- *
- * Note: {@literal maven} can also control parameters. This type of control
- * applies to the source level, and in that sense not visible to the parameter
- * mechanism defined here.<br><br>
- *
- * Checklist.<br><br>
- *
- * An extending class needs to implement the getFileName method.
- *
- * @author keeloo
- */
-public abstract class ConfigFileParam {
-
-    /**
-     * Empty constructor
-     */
-    public ConfigFileParam() {
-    }
-
-    /**
-     * Constraint on a deriving class<br><br>
-     *
-     * Ask a deriving class to implement a method that returns the name of the
-     * file the persister object can read from or write to.<br><br>
-     *
-     * @return the name of an XML file
-     */
-    public abstract String getFileName();
-
-    /**
-     * Configure by reading from an XML file
-     *
-     * @param config the object whose annotated members will be assigned a value
-     * in accordance with the definition read from the XML file.
-     *
-     * @return the object with values assigned to annotated members
-     */
-    public static synchronized ConfigFileParam read(ConfigFileParam config) {
-
-        ConfigFilePersister persister;
-        // config itself might not reference a file name
-        persister = new ConfigFilePersister(config, config.getFileName ());
-
-        // assign the members their values
-        config = (ConfigFileParam) persister.ConfigFromFile();
-        return config;
-    }
-            
-    /**
-     * Write annotated member values to an XML file.
-     *
-     * @param config the object whose annotated members and values will be
-     * written to a file in the form of an XML definition.
-     */
-     public static void write(ConfigFileParam config) {
-        
-        ConfigFilePersister persister;
-        // config itself might not reference a file name
-        persister = new ConfigFilePersister(config, config.getFileName ());
-
-        // create the definition
-        persister.ConfigToFile();
-     }     
-}
Index: /vlo/branches/vlo-2.13-param/vlo_webapp/src/main/java/eu/clarin/cmdi/vlo/config/ConfigFromFile.java
===================================================================
--- /vlo/branches/vlo-2.13-param/vlo_webapp/src/main/java/eu/clarin/cmdi/vlo/config/ConfigFromFile.java	(revision 2590)
+++ /vlo/branches/vlo-2.13-param/vlo_webapp/src/main/java/eu/clarin/cmdi/vlo/config/ConfigFromFile.java	(revision 2590)
@@ -0,0 +1,80 @@
+
+package eu.clarin.cmdi.vlo.config;
+
+/**
+ * Parameter configuration<br><br>
+ *
+ * Add parameters to an application by extending this class. The read method
+ * assigns values to the new members by reading an XML definition from a file.
+ *
+ * Configuration is the process of reading the definitions and assigning values.
+ * A configuration, the set of members extending this class, is the result of
+ * this process.<br><br>
+ *
+ * Next to reading parameter values from a file, by means of the write method,
+ * a ConfigFileParam class object can also reflect the assigned values back to
+ * an XML file.<br><br>
+ *
+ * Note: {@literal maven} can also control parameters. This type of control
+ * applies to the source level, and in that sense not visible to the parameter
+ * mechanism defined here.<br><br>
+ *
+ * Checklist.<br><br>
+ *
+ * An extending class needs to implement the getFileName method.
+ *
+ * @author keeloo
+ */
+public abstract class ConfigFromFile {
+
+    /**
+     * Empty constructor
+     */
+    public ConfigFromFile() {
+    }
+
+    /**
+     * Constraint on a deriving class<br><br>
+     *
+     * Ask a deriving class to implement a method that returns the name of the
+     * file the persister object can read from or write to.<br><br>
+     *
+     * @return the name of an XML file
+     */
+    public abstract String getFileName();
+
+    /**
+     * Configure by reading from an XML file
+     *
+     * @param config the object whose annotated members will be assigned a value
+     * in accordance with the definition read from the XML file.
+     *
+     * @return the object with values assigned to annotated members
+     */
+    public static synchronized ConfigFromFile read(ConfigFromFile config) {
+
+        ConfigFilePersister persister;
+        // config itself might not reference a file name
+        persister = new ConfigFilePersister(config, config.getFileName ());
+
+        // assign the members their values
+        config = (ConfigFromFile) persister.ConfigFromFile();
+        return config;
+    }
+            
+    /**
+     * Write annotated member values to an XML file.
+     *
+     * @param config the object whose annotated members and values will be
+     * written to a file in the form of an XML definition.
+     */
+     public static void write(ConfigFromFile config) {
+        
+        ConfigFilePersister persister;
+        // config itself might not reference a file name
+        persister = new ConfigFilePersister(config, config.getFileName ());
+
+        // create the definition
+        persister.ConfigToFile();
+     }     
+}
Index: /vlo/branches/vlo-2.13-param/vlo_webapp/src/main/java/eu/clarin/cmdi/vlo/config/ImporterConfig.java
===================================================================
--- /vlo/branches/vlo-2.13-param/vlo_webapp/src/main/java/eu/clarin/cmdi/vlo/config/ImporterConfig.java	(revision 2589)
+++ /vlo/branches/vlo-2.13-param/vlo_webapp/src/main/java/eu/clarin/cmdi/vlo/config/ImporterConfig.java	(revision 2590)
@@ -18,5 +18,5 @@
  */
 @Root // directive for Simple
-public class ImporterConfig extends ConfigFileParam {
+public class ImporterConfig extends ConfigFromFile {
     
     /**
Index: /vlo/branches/vlo-2.13-param/vlo_webapp/src/main/java/eu/clarin/cmdi/vlo/config/WebAppConfig.java
===================================================================
--- /vlo/branches/vlo-2.13-param/vlo_webapp/src/main/java/eu/clarin/cmdi/vlo/config/WebAppConfig.java	(revision 2589)
+++ /vlo/branches/vlo-2.13-param/vlo_webapp/src/main/java/eu/clarin/cmdi/vlo/config/WebAppConfig.java	(revision 2590)
@@ -66,5 +66,5 @@
  */
 @Root
-public class WebAppConfig extends ConfigFileParam {
+public class WebAppConfig extends ConfigFromFile {
 
     // create a reference to the application logging
@@ -94,5 +94,5 @@
         ConfigFilePersister.setLogger(WebAppConfig.logger);
     }
-
+    
     /**
      * XML File in which the application configuration is stored
@@ -161,4 +161,6 @@
         /* Contrary to Simple, the servlet context parameters are not retrieved
          * by annotation. Get them by invoking a local method. 
+         * 
+         * Here also invoke a superclass method
          */
         config = addServletContext(config);
@@ -567,6 +569,8 @@
         
         servletContext = context;
-    }
-
+        
+        // servletContest can be null 
+    }
+    
     /**
      * Add properties of the {@literal servlet's} context<br><br>
@@ -582,6 +586,11 @@
 
         // retrieve parameter valies from the servlet context
-
-        config.solrUrl = servletContext.getInitParameter("solrUrl");
+        
+        if (servletContext == null) {
+            // no servlet context yet
+            
+        } else {
+            config.solrUrl = servletContext.getInitParameter("solrUrl");
+        }
 
         return config;
@@ -595,5 +604,4 @@
      */
     
-    @Element
     private String solrUrl = "";
 
Index: /vlo/branches/vlo-2.13-param/vlo_webapp/src/main/webapp/META-INF/context.xml
===================================================================
--- /vlo/branches/vlo-2.13-param/vlo_webapp/src/main/webapp/META-INF/context.xml	(revision 2589)
+++ /vlo/branches/vlo-2.13-param/vlo_webapp/src/main/webapp/META-INF/context.xml	(revision 2590)
@@ -16,4 +16,4 @@
 
 <Context antiJARLocking="true" path="/vlo">
-    <Parameter name=solrURL value="http://localhost:8084/vlo_solr/"/>
+    <Parameter name=solrUrl value="http://localhost:8084/vlo_solr/"/>
 </Context>
Index: /vlo/branches/vlo-2.13-param/vlo_webapp/src/test/java/eu/clarin/cmdi/vlo/pages/FacetBoxPanelTest.java
===================================================================
--- /vlo/branches/vlo-2.13-param/vlo_webapp/src/test/java/eu/clarin/cmdi/vlo/pages/FacetBoxPanelTest.java	(revision 2589)
+++ /vlo/branches/vlo-2.13-param/vlo_webapp/src/test/java/eu/clarin/cmdi/vlo/pages/FacetBoxPanelTest.java	(revision 2590)
@@ -17,5 +17,6 @@
     @Before
     public void setUp() {
-        new WicketTester(new VloApplication());
+        WicketTester wicketTester;
+        wicketTester = new WicketTester(new VloApplication());
     }
 