Index: SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUAbstractResult.java
===================================================================
--- SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUAbstractResult.java	(revision 2622)
+++ SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUAbstractResult.java	(revision 2623)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2013 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
@@ -39,5 +39,5 @@
     /**
      * Add a non surrogate diagnostic to the response.
-     * 
+     *
      * @param code
      *            numerical diagnostic code
@@ -56,5 +56,5 @@
     /**
      * Add a non surrogate diagnostic to the response.
-     * 
+     *
      * @param code
      *            numerical diagnostic code
@@ -70,5 +70,5 @@
     /**
      * Add a non surrogate diagnostic to the response.
-     * 
+     *
      * @param code
      *            numerical diagnostic code
@@ -83,5 +83,5 @@
      * Default implementation is provided for convince and always returns
      * <code>false</code>.
-     * 
+     *
      * @return <code>true</code> if extra response data should be serialized.
      * @see #writeExtraResponseData(XMLStreamWriter)
@@ -94,5 +94,5 @@
     /**
      * Serialize extra response data for this request.
-     * 
+     *
      * @param writer
      *            the {@link XMLStreamException} instance to be used
Index: SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUConfigException.java
===================================================================
--- SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUConfigException.java	(revision 2622)
+++ SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUConfigException.java	(revision 2623)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2013 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
@@ -25,5 +25,5 @@
     /**
      * Constructor.
-     * 
+     *
      * @param msg
      *            a message
@@ -36,5 +36,5 @@
     /**
      * Constructor.
-     * 
+     *
      * @param msg
      *            a message
Index: SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUConstants.java
===================================================================
--- SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUConstants.java	(revision 2622)
+++ SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUConstants.java	(revision 2623)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2013 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
Index: SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUDiagnostic.java
===================================================================
--- SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUDiagnostic.java	(revision 2622)
+++ SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUDiagnostic.java	(revision 2623)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2013 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
@@ -19,5 +19,5 @@
 /**
  * Class to hold a SRU diagnostic.
- * 
+ *
  * @see SRUConstants
  * @see SRUDiagnosticList
@@ -35,5 +35,5 @@
     /**
      * Constructor.
-     * 
+     *
      * @param code
      *            numerical diagnostic code
@@ -54,5 +54,5 @@
     /**
      * Constructor.
-     * 
+     *
      * @param code
      *            numerical diagnostic code
@@ -68,5 +68,5 @@
     /**
      * Constructor.
-     * 
+     *
      * @param code
      *            numerical diagnostic code
@@ -79,5 +79,5 @@
     /**
      * Get code for this diagnostic.
-     * 
+     *
      * @return diagnostic code
      * @see SRUConstants
@@ -91,5 +91,5 @@
      * Get supplementary information for this diagnostic. The format for this
      * value is often specified by the diagnostic code.
-     * 
+     *
      * @return supplementary information
      */
@@ -101,5 +101,5 @@
     /**
      * Get human readable message.
-     * 
+     *
      * @return human readable message
      */
Index: SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUDiagnosticList.java
===================================================================
--- SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUDiagnosticList.java	(revision 2622)
+++ SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUDiagnosticList.java	(revision 2623)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2013 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
@@ -20,5 +20,5 @@
  * Container for non surrogate diagnostics for the request. The will be put in
  * the <em>diagnostics</em> part of the response.
- * 
+ *
  * @see SRUConstants
  * @see SRUDiagnostic
@@ -32,5 +32,5 @@
     /**
      * Add a non surrogate diagnostic to the response.
-     * 
+     *
      * @param code
      *            numerical diagnostic code
Index: SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUException.java
===================================================================
--- SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUException.java	(revision 2622)
+++ SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUException.java	(revision 2623)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2013 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
@@ -20,5 +20,5 @@
  * An exception raised if something went wrong processing the request. For
  * diagnostic codes, see constants in {@link SRUConstants}.
- * 
+ *
  * @see SRUConstants
  */
@@ -31,5 +31,5 @@
     /**
      * Constructor.
-     * 
+     *
      * @param code
      *            the diagnostic code
@@ -51,5 +51,5 @@
     /**
      * Constructor.
-     * 
+     *
      * @param code
      *            the diagnostic code
@@ -66,5 +66,5 @@
     /**
      * Constructor.
-     * 
+     *
      * @param code
      *            the diagnostic code
@@ -81,5 +81,5 @@
     /**
      * Constructor.
-     * 
+     *
      * @param code
      *            the diagnostic code
@@ -94,5 +94,5 @@
     /**
      * Constructor.
-     * 
+     *
      * @param code
      *            the diagnostic code
@@ -107,5 +107,5 @@
     /**
      * Constructor.
-     * 
+     *
      * @param code
      *            the diagnostic code
@@ -118,5 +118,5 @@
     /**
      * Create a SRU diagnostic from this exception.
-     * 
+     *
      * @return a {@link SRUDiagnostic} instance
      */
Index: SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUExplainResult.java
===================================================================
--- SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUExplainResult.java	(revision 2622)
+++ SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUExplainResult.java	(revision 2623)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2013 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
@@ -21,9 +21,9 @@
  * use it implement extensions to the SRU protocol, i.e. providing
  * extraResponseData.
- * 
+ *
  * <p>
  * This class needs to be implemented for the target data source.
  * </p>
- * 
+ *
  * @see <a href="http://www.loc.gov/standards/sru/specs/explain.html">SRU
  *      Explain Operation </a>
@@ -33,5 +33,5 @@
     /**
      * Constructor.
-     * 
+     *
      * @param diagnostics
      *            an instance of a SRUDiagnosticList
Index: SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUOperation.java
===================================================================
--- SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUOperation.java	(revision 2622)
+++ SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUOperation.java	(revision 2623)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2013 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
Index: SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRURecordPacking.java
===================================================================
--- SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRURecordPacking.java	(revision 2622)
+++ SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRURecordPacking.java	(revision 2623)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2013 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
Index: SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRURequest.java
===================================================================
--- SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRURequest.java	(revision 2622)
+++ SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRURequest.java	(revision 2623)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2013 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
@@ -32,5 +32,5 @@
      * Get the <em>operation</em> parameter of this request. Available for
      * <em>explain</em>, <em>searchRetrieve</em> and <em>scan</em> requests.
-     * 
+     *
      * @return the operation
      * @see SRUOperation
@@ -42,5 +42,5 @@
      * Get the <em>version</em> parameter of this request. Available for
      * <em>explain</em>, <em>searchRetrieve</em> and <em>scan</em> requests.
-     * 
+     *
      * @return the version
      * @see SRUVersion
@@ -51,5 +51,5 @@
     /**
      * Check if this request is of a specific version.
-     * 
+     *
      * @param version
      *            the version to check
@@ -65,5 +65,5 @@
      * Check if version of this request is at least <em>min</em> and at most
      * <em>max</em>.
-     * 
+     *
      * @param min
      *            the minimum version
@@ -83,5 +83,5 @@
      * Get the <em>recordPacking</em> parameter of this request. Only available
      * for <em>explain</em> and <em>searchRetrieve</em> requests.
-     * 
+     *
      * @return the record packing method
      * @see SRURecordPacking
@@ -93,5 +93,5 @@
      * Get the <em>query</em> parameter of this request. Only available for
      * <em>searchRetrieve</em> requests.
-     * 
+     *
      * @return the parsed query or <code>null</code> if not a
      *         <em>searchRetrieve</em> request
@@ -103,5 +103,5 @@
      * Get the <em>startRecord</em> parameter of this request. Only available
      * for <em>searchRetrieve</em> requests.
-     * 
+     *
      * @return the number of the start record or <code>-1</code> if no value was
      *         supplied for this request
@@ -114,5 +114,5 @@
      * for <em>searchRetrieve</em> requests. If no value was supplied with the
      * request, the server will automatically set a default value.
-     * 
+     *
      * @return the maximum number of records
      */
@@ -123,5 +123,5 @@
      * Get the <em>recordSchema</em> parameter of this request. Only available
      * for <em>searchRetrieve</em> requests.
-     * 
+     *
      * @return the record schema name or <code>null</code> if no value was
      *         supplied for this request
@@ -135,5 +135,5 @@
      * parameter of this request. Only available for <em>searchRetrieve</em>
      * requests.
-     * 
+     *
      * @return the record schema identifier or <code>null</code> if no
      *         <em>recordSchema</em> parameter was supplied for this request
@@ -146,5 +146,5 @@
      * Get the <em>recordXPath</em> parameter of this request. Only available
      * for <em>searchRetrieve</em> requests and version 1.1 requests.
-     * 
+     *
      * @return the record XPath or <code>null</code> of no value was supplied
      *         for this request
@@ -156,5 +156,5 @@
      * Get the <em>resultSetTTL</em> parameter of this request. Only available
      * for <em>searchRetrieve</em> requests.
-     * 
+     *
      * @return the result set TTL or <code>-1</code> if no value was supplied
      *         for this request
@@ -166,5 +166,5 @@
      * Get the <em>sortKeys</em> parameter of this request. Only available for
      * <em>searchRetrieve</em> requests and version 1.1 requests.
-     * 
+     *
      * @return the record XPath or <code>null</code> of no value was supplied
      *         for this request
@@ -176,5 +176,5 @@
      * Get the <em>scanClause</em> parameter of this request. Only available for
      * <em>scan</em> requests.
-     * 
+     *
      * @return the parsed scan clause or <code>null</code> if not a
      *         <em>scan</em> request
@@ -186,5 +186,5 @@
      * Get the <em>responsePosition</em> parameter of this request. Only
      * available for <em>scan</em> requests.
-     * 
+     *
      * @return the response position or <code>-1</code> if no value was supplied
      *         for this request
@@ -196,5 +196,5 @@
      * Get the <em>maximumTerms</em> parameter of this request. Available for
      * any type of request.
-     * 
+     *
      * @return the maximum number of terms or <code>-1</code> if no value was
      *         supplied for this request
@@ -206,5 +206,5 @@
      * Get the <em>stylesheet</em> parameter of this request. Available for
      * <em>explain</em>, <em>searchRetrieve</em> and <em>scan</em> requests.
-     * 
+     *
      * @return the stylesheet or <code>null</code> if no value was supplied for
      *         this request
@@ -216,5 +216,5 @@
      * Get the protocol schema which was used of this request. Available for
      * <em>explain</em>, <em>searchRetrieve</em> and <em>scan</em> requests.
-     * 
+     *
      * @return the protocol scheme
      */
@@ -225,5 +225,5 @@
      * Get the names of extra parameters of this request. Available for
      * <em>explain</em>, <em>searchRetrieve</em> and <em>scan</em> requests.
-     * 
+     *
      * @return a possibly empty list of parameter names
      */
@@ -234,5 +234,5 @@
      * Get the value of an extra parameter of this request. Available for
      * <em>explain</em>, <em>searchRetrieve</em> and <em>scan</em> requests.
-     * 
+     *
      * @param name
      *            name of the extra parameter. Must be prefixed with
@@ -250,5 +250,5 @@
     /**
      * Get the raw client request information from the servlet container.
-     * 
+     *
      * @return the servlet request
      */
Index: SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRURequestImpl.java
===================================================================
--- SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRURequestImpl.java	(revision 2622)
+++ SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRURequestImpl.java	(revision 2623)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2013 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
@@ -383,5 +383,5 @@
         }
 
-        // diagnostics != null -> consider as sucesss 
+        // diagnostics != null -> consider as sucesss
         return (diagnostics == null);
     }
@@ -672,5 +672,5 @@
                                 PARAM_VERSION + "\" was not supplied.");
             }
-            
+
             /*
              * this is an explain operation, assume default version
Index: SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUScanResultSet.java
===================================================================
--- SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUScanResultSet.java	(revision 2622)
+++ SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUScanResultSet.java	(revision 2623)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2013 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
@@ -26,5 +26,5 @@
  * A result set of a <em>scan</em> operation. It is used to iterate over the
  * term set and provides a method to serialize the terms.
- * 
+ *
  * <p>
  * A <code>SRUScanResultSet</code> object maintains a cursor pointing to its
@@ -38,5 +38,5 @@
  * This class needs to be implemented for the target search engine.
  * </p>
- * 
+ *
  * @see <a href="http://www.loc.gov/standards/sru/specs/scan.html"> SRU Scan
  *      Operation</a>
@@ -72,5 +72,5 @@
     /**
      * Constructor.
-     * 
+     *
      * @param diagnostics
      *            an instance of a SRUDiagnosticList.
@@ -91,5 +91,5 @@
      * the cursor is positioned after the last term.
      * </p>
-     * 
+     *
      * @return <code>true</code> if the new current term is valid;
      *         <code>false</code> if there are no more terms
@@ -100,5 +100,5 @@
     /**
      * Get the current term exactly as it appears in the index.
-     * 
+     *
      * @return current term
      */
@@ -110,5 +110,5 @@
      * the index in the request's <em>scanClause</em> was searched with the term
      * in the <em>value</em> field.
-     * 
+     *
      * @return a non-negative number of records
      */
@@ -119,5 +119,5 @@
      * Get the string for the current term to display to the end user in place
      * of the term itself.
-     * 
+     *
      * @return display string or <code>null</code>
      */
@@ -128,5 +128,5 @@
      * Get the flag to indicate the position of the term within the complete
      * term list.
-     * 
+     *
      * @return position within term list or <code>null</code>
      */
@@ -138,5 +138,5 @@
      * default implementation is provided for convince and always returns
      * <code>false</code>.
-     * 
+     *
      * @return <code>true</code> if the term has extra term data
      * @throws NoSuchElementException
@@ -152,5 +152,5 @@
      * Serialize extra term data for the current term. A no-op default
      * implementation is provided for convince.
-     * 
+     *
      * @param writer
      *            the {@link XMLStreamException} instance to be used
Index: SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUSearchEngine.java
===================================================================
--- SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUSearchEngine.java	(revision 2622)
+++ SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUSearchEngine.java	(revision 2623)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2013 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
@@ -41,5 +41,5 @@
      * The implementation of this method <em>must</em> be thread-safe.
      * </p>
-     * 
+     *
      * @param config
      *            the <code>SRUEndpointConfig</code> object that contains the
@@ -69,5 +69,5 @@
      * The implementation of this method <em>must</em> be thread-safe.
      * </p>
-     * 
+     *
      * @param config
      *            the <code>SRUEndpointConfig</code> object that contains the
@@ -99,5 +99,5 @@
      * The implementation of this method <em>must</em> be thread-safe.
      * </p>
-     * 
+     *
      * @param config
      *            the <code>SRUEndpointConfig</code> object that contains the
Index: SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUSearchResultSet.java
===================================================================
--- SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUSearchResultSet.java	(revision 2622)
+++ SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUSearchResultSet.java	(revision 2623)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2013 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
@@ -38,5 +38,5 @@
  * This class needs to be implemented for the target search engine.
  * </p>
- * 
+ *
  * @see <a href="http://www.loc.gov/standards/sru/specs/search-retrieve.html">
  *      SRU Search Retrieve Operation</a>
@@ -46,5 +46,5 @@
     /**
      * Constructor.
-     * 
+     *
      * @param diagnostics
      *            an instance of a SRUDiagnosticList
@@ -59,5 +59,5 @@
      * The number of records matched by the query. If the query fails this must
      * be 0.
-     * 
+     *
      * @return the total number of results or 0 if the query failed
      */
@@ -69,5 +69,5 @@
      * records requested to be returned (maximumRecords parameter). If the query
      * fails this must be 0.
-     * 
+     *
      * @return the number of results or 0 if the query failed
      */
@@ -78,5 +78,5 @@
      * The result set id of this result. the default implementation returns
      * <code>null</code>.
-     * 
+     *
      * @return the result set id or <code>null</code> if not applicable for this
      *         result
@@ -90,5 +90,5 @@
      * The idle time for this result. The default implementation returns
      * <code>-1</code>.
-     * 
+     *
      * @return the result set idle time or <code>-1</code> if not applicable for
      *         this result
@@ -102,5 +102,5 @@
      * The record schema identifier in which the records are returned
      * (recordSchema parameter).
-     * 
+     *
      * @return the record schema identifier
      */
@@ -118,5 +118,5 @@
      * the cursor is positioned after the last record.
      * </p>
-     * 
+     *
      * @return <code>true</code> if the new current record is valid;
      *         <code>false</code> if there are no more records
@@ -128,5 +128,5 @@
      * An identifier for the current record by which it can unambiguously be
      * retrieved in a subsequent operation.
-     * 
+     *
      * @return identifier for the record or <code>null</code> of none is
      *         available
@@ -141,5 +141,5 @@
      * diagnostic, the writeRecord method will not be called. The default
      * implementation returns <code>null</code>.
-     * 
+     *
      * @return a surrogate diagnostic or <code>null</code>
      */
@@ -151,5 +151,5 @@
     /**
      * Serialize the current record in the requested format.
-     * 
+     *
      * @param writer
      *            the {@link XMLStreamException} instance to be used
@@ -167,5 +167,5 @@
      * Check, if extra record data should be serialized for the current record.
      * The default implementation returns <code>false</code>.
-     * 
+     *
      * @return <code>true</code> if the record has extra record data
      * @throws NoSuchElementException
@@ -181,5 +181,5 @@
      * Serialize extra record data for the current record. A no-op default
      * implementation is provided for convince.
-     * 
+     *
      * @param writer
      *            the {@link XMLStreamException} instance to be used
Index: SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUServer.java
===================================================================
--- SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUServer.java	(revision 2622)
+++ SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUServer.java	(revision 2623)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2013 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
@@ -43,5 +43,5 @@
  * SRU/CQL protocol implementation for the server-side (SRU/S). This class
  * implements SRU/CQL version 1.1 and and 1.2.
- * 
+ *
  * @see SRUServerConfig
  * @see SRUSearchEngine
@@ -75,5 +75,5 @@
     /**
      * Constructor.
-     * 
+     *
      * @param config
      *            a SRUEndpointConfig object
@@ -101,5 +101,5 @@
     /**
      * Handle a SRU request.
-     * 
+     *
      * @param request
      *            a HttpServletRequest request
Index: SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUServerConfig.java
===================================================================
--- SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUServerConfig.java	(revision 2622)
+++ SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUServerConfig.java	(revision 2623)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2013 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
Index: SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUVersion.java
===================================================================
--- SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUVersion.java	(revision 2622)
+++ SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUVersion.java	(revision 2623)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2013 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
Index: SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUXMLStreamWriter.java
===================================================================
--- SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUXMLStreamWriter.java	(revision 2622)
+++ SRUServer/trunk/src/main/java/eu/clarin/sru/server/SRUXMLStreamWriter.java	(revision 2623)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2013 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
Index: SRUServer/trunk/src/main/java/eu/clarin/sru/server/utils/SRUSearchEngineBase.java
===================================================================
--- SRUServer/trunk/src/main/java/eu/clarin/sru/server/utils/SRUSearchEngineBase.java	(revision 2622)
+++ SRUServer/trunk/src/main/java/eu/clarin/sru/server/utils/SRUSearchEngineBase.java	(revision 2623)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2013 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it
@@ -45,5 +45,5 @@
      * Handle a <em>scan</em> operation. The default implementation is a no-op.
      * Override this method, if you want to provide a custom behavior.
-     * 
+     *
      * @see SRUSearchEngine#explain(SRUServerConfig, SRURequest,
      *      SRUDiagnosticList)
@@ -59,5 +59,5 @@
      * Handle a <em>scan</em> operation. The default implementation is a no-op.
      * Override this method, if you want to provide a custom behavior.
-     * 
+     *
      * @see SRUSearchEngine#scan(SRUServerConfig, SRURequest, SRUDiagnosticList)
      */
@@ -71,5 +71,5 @@
     /**
      * Handle a <em>searchRetrieve</em> operation.
-     * 
+     *
      * @see SRUSearchEngine#search(SRUServerConfig, SRURequest,
      *      SRUDiagnosticList)
@@ -83,5 +83,5 @@
     /**
      * Initialize the search engine.
-     * 
+     *
      * @param context
      *            the {@link ServletContext} for the Servlet
@@ -102,5 +102,5 @@
     /**
      * Initialize the search engine.
-     * 
+     *
      * @param config
      *            the {@link SRUServerConfig} object for this search engine
Index: SRUServer/trunk/src/main/java/eu/clarin/sru/server/utils/SRUServerServlet.java
===================================================================
--- SRUServer/trunk/src/main/java/eu/clarin/sru/server/utils/SRUServerServlet.java	(revision 2622)
+++ SRUServer/trunk/src/main/java/eu/clarin/sru/server/utils/SRUServerServlet.java	(revision 2623)
@@ -1,4 +1,4 @@
 /**
- * This software is copyright (c) 2011 by
+ * This software is copyright (c) 2011-2013 by
  *  - Institut fuer Deutsche Sprache (http://www.ids-mannheim.de)
  * This is free software. You can redistribute it